unit SubFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TLMController;

type
  TSubForm = class(TForm)
    Label1: TLabel;
    tlmController1: TtlmController;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure tlmController1LanguageChanged(ASender: TObject);
  private
    { Private declarations }
    FFormNumber:Integer;
  public
    { Public declarations }
  end;

var
  SubForm: TSubForm;
  FormCount:Integer;

implementation

{$R *.dfm}

procedure TSubForm.FormCreate(Sender: TObject);
begin
  Inc(FormCount);
  FFormNumber:=FormCount;
  tlmController1LanguageChanged(nil);
end;

procedure TSubForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=caFree;
end;

procedure TSubForm.tlmController1LanguageChanged(ASender: TObject);
begin
  Label1.Caption:=tlmController1.Translate('FormCount','This is the [%d]th form!',[FFormNumber]);
end;

end.
